View Issue Details

IDProjectCategoryView StatusLast Update
0005976Talerdeployment and operationspublic2020-03-31 16:04
ReporterMarcello StanisciAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.7.0Fixed in Version0.7.0 
Summary0005976: lcov site disappeared
DescriptionIt used to rely on the old invalidation scripts, but must now be adapted to the new build logic. (The new build logic, likewise, must now be extended to pass the coverage flags to the compilation)
TagsNo tags attached.

Activities

Marcello Stanisci

2019-11-27 19:46

manager   ~0015095

This change (369bf4ead8bc0c9fe3..) from deployment.git adapts the worker to the latest build style. However, the worker cannot yet be started by "systemctl".

Christian Grothoff

2020-01-20 12:18

manager   ~0015289

ng0: Could you modify systemd to start the lcov worker automatically (it is already running, this is about making sure it reappear upon system reboot).

Christian Grothoff

2020-01-20 12:20

manager   ~0015290

Also, we need to install the wallet-core *and* the merchant *and* the twister *and* the python bank _together_ with the exchange for the lcov deployment, as otherwise many tests won't run.

ng0

2020-01-20 15:23

developer   ~0015291

ACK.

Christian Grothoff

2020-02-23 22:43

manager   ~0015399

I've now extended the scripts to install the bank, twister and wallet-core before going for the integration test. The test is also netjailed and launches its own Postgres instance now.

Christian Grothoff

2020-02-24 14:28

manager   ~0015400

lcov is back and running, and linked from docs.html now.

Issue History

Date Modified Username Field Change
2019-11-22 23:50 Marcello Stanisci New Issue
2019-11-27 19:46 Marcello Stanisci Note Added: 0015095
2019-12-15 17:47 Christian Grothoff Assigned To => Christian Grothoff
2019-12-15 17:47 Christian Grothoff Status new => assigned
2020-01-20 12:17 Christian Grothoff Assigned To Christian Grothoff => ng0
2020-01-20 12:18 Christian Grothoff Note Added: 0015289
2020-01-20 12:20 Christian Grothoff Note Added: 0015290
2020-01-20 15:23 ng0 Note Added: 0015291
2020-01-20 15:23 ng0 Status assigned => acknowledged
2020-02-23 22:16 Christian Grothoff Assigned To ng0 => Christian Grothoff
2020-02-23 22:43 Christian Grothoff Note Added: 0015399
2020-02-23 22:44 Christian Grothoff Status acknowledged => assigned
2020-02-23 22:44 Christian Grothoff Product Version => git (master)
2020-02-23 22:44 Christian Grothoff Target Version => 0.7.0
2020-02-24 14:28 Christian Grothoff Status assigned => resolved
2020-02-24 14:28 Christian Grothoff Resolution open => fixed
2020-02-24 14:28 Christian Grothoff Fixed in Version => 0.7.0
2020-02-24 14:28 Christian Grothoff Note Added: 0015400
2020-03-31 16:04 Christian Grothoff Status resolved => closed